No supported microcode ESXI

Bonjour à tous,

Une petite astuce concernant l'installation d'ESXI sur une plateforme normalement qui n'est plus supportée (dans mon cas, des opterons 8347) et qui amène le message suivant:

no supported microcode levels for this stepping of amd family 10h b1 processor

Afin de pallier a ce souci, il faut appuyer sur shift + o lors de l’écran de chargement de l’installateur (c’est marqué dans le coin droit inférieur) et ajouter:

skipMicrocodeCompatCheck

Cela permet de finaliser l’installation.
Il faut répéter l’opération lors du reboot afin de pouvoir accéder à ESXI puis activer le daemon ssh afin de pouvoir fixer ce paramètre définitivement avec la commande:

esxcfg -advcfg -k TRUE skipmicrocodecompatcheck

Un reboot est nécessaire pour l'application de ce changement. Si tout est bon, le boot devrait se faire sans soucis.

Attention cependant, pas de support VmWare avec cette astuce vu que le check du microcode est désactivé.

Ce souci vient d’un bug de mise à dispo de la table TLB sur les processeurs Opteron de cette génération corrigé d’après mes lectures sur les B3.

Mon installation a été réalisée avec un esxi 5.1u1.

Have a nice day.

comments powered by Disqus